/*
 * Rahmenwerk-Plug-in "Anlagenstatus"
 * Copyright (C) 2010 BitCtrl Systems GmbH
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weissenfelser Strasse 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.buv.plugin.anlagenstatus.actions;

import org.eclipse.gef.EditPartViewer;
import org.eclipse.jface.action.Action;
import org.eclipse.swt.widgets.Event;

import de.bsvrz.buv.plugin.anlagenstatus.modell.AnlagenStatusKnoten;
import de.bsvrz.buv.plugin.anlagenstatus.parts.AnlagenStatusEditPart;

/**
 * Aktion zum Ausblenden eines Knotens aus der Ansicht.
 * 
 * @author BitCtrl Systems GmbH, Steffen Gieseler
 * @version $Id: KnotenAusblendenAktion.java 25040 2010-07-25 08:13:48Z gieseler $
 */
public class KnotenAusblendenAktion extends Action {

	/** Der aktuelle EditPart. */
	private final AnlagenStatusEditPart part;

	/**
	 * Konstruktor.
	 * 
	 * @param part
	 *            EditPart
	 * 
	 */
	public KnotenAusblendenAktion(final AnlagenStatusEditPart part) {
		super("Knoten ausblenden");
		setToolTipText("Blendet den Knoten (einschlielich seiner untergordneten Elemente) aus");
		this.part = part;
	}

	/**
	 * {@inheritDoc}.
	 * 
	 * @see org.eclipse.jface.action.Action#runWithEvent(org.eclipse.swt.widgets.Event)
	 */
	@Override
	public void runWithEvent(final Event event) {
		((AnlagenStatusKnoten) part.getModel()).ausblenden();

		final EditPartViewer viewer = part.getViewer();
		final Object model = part.getViewer().getContents().getModel();
		viewer.setContents(new Object());
		viewer.setContents(model);
	}
}
