/*
 * Rahmenwerk-Plug-in "Anlagenstatus"
 * Copyright (C) 2010 BitCtrl Systems GmbH
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weissenfelser Strasse 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.buv.plugin.anlagenstatus.commands;

import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.StructuredSelection;
import org.eclipse.ui.handlers.HandlerUtil;

import de.bsvrz.buv.plugin.anlagenstatus.internal.PluginAnlagenStatus;
import de.bsvrz.buv.plugin.anlagenstatus.parts.AnlagenStatusEditPart;

/**
 * Handler f&uuml;r die Ausf&uuml;hrung des Kommandos zum Anzeigen des
 * Statusfensters.
 * 
 * @author BitCtrl Systems GmbH, Steffen Gieseler
 * @version $Id: $
 */
public class StatusAnzeigenHandler extends AbstractHandler {

	/** {@inheritDoc} */
	@Override
	public Object execute(final ExecutionEvent event) throws ExecutionException {
		final ISelection selection = HandlerUtil.getCurrentSelection(event);

		if (!selection.isEmpty() && selection instanceof StructuredSelection) {
			final StructuredSelection ssel = (StructuredSelection) selection;
			if (ssel.getFirstElement() instanceof AnlagenStatusEditPart) {
				final AnlagenStatusEditPart aep = (AnlagenStatusEditPart) ssel
						.getFirstElement();
				aep.zeigeStatusDaten();
			}
		}

		return null;
	}

	/** {@inheritDoc} */
	@Override
	public boolean isEnabled() {
		return super.isEnabled()
				&& PluginAnlagenStatus.getDefault().getObjektFactory()
						.isVerbunden();
	}
}
