/*
 * Rahmenwerk-Plug-in "Anlagenstatus"
 * Copyright (C) 2010 BitCtrl Systems GmbH
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weissenfelser Strasse 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.buv.plugin.anlagenstatus.einstellungen;

import org.eclipse.draw2d.ColorConstants;
import org.eclipse.swt.graphics.RGB;

/**
 * Standardeinstellungen f&uuml;r das Plug-in "Anlagenstatus".
 * 
 * @author BitCtrl Systems GmbH, Steffen Gieseler
 * @version $Id: $
 */

public final class PluginStandardEinstellungen {

	/** Standardeinstellung f&uuml;r die Hierarchierichtung. */
	public static final boolean TOPDOWN_STANDARD = false;

	/**
	 * Standardeinstellung f&uuml;r die Vordergrundfareb des Inhaltes der
	 * Knoten.
	 */
	// public static final Color KNOTEN_INHALT_VORDERGRUND =
	// ColorConstants.black;

	/** Standardeinstellung f&uuml;r die Hintergrundfareb der Knoten. */
	// public static final Color KNOTEN_INHALT_HINTERGRUND =
	// ColorConstants.gray;

	/** Standardeinstellung f&uuml;r die Hintergrundfarbe der Knoten. */
	public static final long KNOTEN_BACKGROUND_COLOR_STANDARD = ColorUtilities
			.rgbToLong(ColorConstants.lightGray.getRGB());

	/** Standardeinstellung f&uuml;r die Rahmenbreite der Knoten. */
	public static final int KNOTEN_RAHMENBREITE_STANDARD = 5;

	/** Standardeinstellung f&uuml;r die Farbe Status 'Unbekannt'. */
	public static final long KNOTEN_RAHMENFARBE_STATUS_UNBEKANNT = ColorUtilities
			.rgbToLong(ColorConstants.gray.getRGB());

	/** Standardeinstellung f&uuml;r die Farbe Status 'Gest&ouml;rt'. */
	public static final long KNOTEN_RAHMENFARBE_STATUS_GESTOERT = ColorUtilities
			.rgbToLong(ColorConstants.red.getRGB());

	/** Standardeinstellung f&uuml;r die Farbe Status 'Teilgest&ouml;rt'. */
	public static final long KNOTEN_RAHMENFARBE_STATUS_TEILGESTOERT = ColorUtilities
			.rgbToLong(ColorConstants.yellow.getRGB());

	/** Standardeinstellung f&uuml;r die Farbe Status 'OK'. */
	public static final long KNOTEN_RAHMENFARBE_STATUS_OK = ColorUtilities
			.rgbToLong(ColorConstants.green.getRGB());

	/** Standardeinstellung f&uuml;r die Linienbreite der Verbindungslinien. */
	public static final int VERBINDUNGEN_LINIENBREITE_STANDARD = 2;

	/** Standardeinstellung f&uuml;r die Farbe der Verbindngslinien. */
	public static final long VERBINDUNGEN_LINIENFARBE_STANDARD = ColorUtilities
			.rgbToLong(ColorConstants.black.getRGB());

	/** Standardeinstellung f&uuml;r die Hintergundfarbe des Statusfensters. */
	public static final long VERSORGUNG_FENSTER_BACKGROUNG_COLOR = ColorUtilities
			.rgbToLong(ColorConstants.tooltipBackground.getRGB());

	/** Standardeinstellung f&uuml;r das Ausblenden der Steuermodule beim Start. */
	public static final boolean STEUERMODULE_AUSBLENDEN_STANDARD = true;

	/** Standardeinstellung f&uuml;r die Hintergundfarbe FG1. */
	public static final long FARBE_FG1 = ColorUtilities.rgbToLong(new RGB(191,
			191, 191));

	/** Standardeinstellung f&uuml;r die Hintergundfarbe FG2. */
	public static final long FARBE_FG2 = ColorUtilities.rgbToLong(new RGB(255,
			255, 255));

	/** Standardeinstellung f&uuml;r die Hintergundfarbe FG3. */
	public static final long FARBE_FG3 = ColorUtilities.rgbToLong(new RGB(173,
			216, 230));

	/** Standardeinstellung f&uuml;r die Hintergundfarbe FG4. */
	public static final long FARBE_FG4 = ColorUtilities.rgbToLong(new RGB(255,
			192, 203));

	/** Standardeinstellung f&uuml;r die Hintergundfarbe FG5. */
	public static final long FARBE_FG5 = ColorUtilities.rgbToLong(new RGB(255,
			220, 255));

	/** Standardeinstellung f&uuml;r die Hintergundfarbe FG6. */
	public static final long FARBE_FG6 = ColorUtilities.rgbToLong(new RGB(247,
			192, 91));

	/** Standardeinstellung f&uuml;r die Hintergundfarbe FG254. */
	public static final long FARBE_FG254 = ColorUtilities.rgbToLong(new RGB(
			215, 105, 219));

	/**
	 * Privater Konstruktor.
	 */
	private PluginStandardEinstellungen() {

	}
}
