/*
 * Rahmenwerk-Plug-in "Anlagenstatus"
 * Copyright (C) 2010 BitCtrl Systems GmbH
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weissenfelser Strasse 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.buv.plugin.anlagenstatus.export;

/**
 * HTML-Style Defineitionen f&uuml;r den Export.
 * 
 * 
 * @author BitCtrl Systems GmbH, Steffen Gieseler
 * 
 * @version $Id: HtmlStyles.java 32959 2012-02-29 15:05:11Z gieseler $
 */
public enum HtmlStyles {

	/** . */
	TABELLE_OHNE_ZWISCHENRAUM_CSS("table.ohne_zwischenraum",
			"border-collapse:collapse;", true),

	/** . */
	ZEILE("tr", "vertical-align:top;", true),

	/** . */
	TABELLE_OHNE_ZWISCHENRAUM_HTML(null, "cellpadding=\"0\" cellspacing=\"0\"",
			false);

	/** Name. */
	private String stylename;

	/** Definition. */
	private String styledefinition;

	/** CSS-Style. */
	private boolean isCssStyle;

	/**
	 * Gibt die Style-Klasse zur&uuml;ck.
	 * 
	 * @return Style-Klasse
	 */
	public String getStyleClass() {
		if (isCssStyle) {
			return "class=" + "\""
					+ stylename.substring(stylename.indexOf(".") + 1) + "\" ";
		} else {
			return styledefinition;
		}
	}

	/**
	 * Privater Konstruktor.
	 * 
	 * @param stylename
	 * @param styledefinition
	 * @param css
	 */
	private HtmlStyles(final String stylename, final String styledefinition,
			final boolean css) {
		this.stylename = stylename;
		this.styledefinition = styledefinition;
		this.isCssStyle = css;
	}

	/**
	 * Gibt die Style-Definition zur&uuml;ck.
	 * 
	 * @return Style-Definition
	 */
	public String getStyleDefinition() {
		if (isCssStyle) {
			return stylename + " { " + styledefinition + " }";
		} else {
			return "";
		}
	}

}
