/*
 * Rahmenwerk-Plug-in "Anlagenstatus"
 * Copyright (C) 2010 BitCtrl Systems GmbH
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weissenfelser Strasse 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.buv.plugin.anlagenstatus.figures;

import org.eclipse.draw2d.GridLayout;
import org.eclipse.draw2d.Label;
import org.eclipse.draw2d.Panel;

import de.bsvrz.buv.plugin.anlagenstatus.parts.AnlagenStatusEditPart;

/**
 * Figure zur Anzeige des Status eines Anlagenteils.
 * 
 * @author BitCtrl Systems GmbH, Steffen Gieseler
 * @version $Id: GeraetStatusFigure.java 32959 2012-02-29 15:05:11Z gieseler $
 */
public class GeraetStatusFigure extends StatusFigure {

	/**
	 * Label f&uuml;r den Status.
	 */
	private final Label statusLabel;

	/**
	 * Konstruktor.
	 * 
	 * @param parentpart
	 *            Parent-Edit-Part
	 */
	public GeraetStatusFigure(final AnlagenStatusEditPart parentpart) {
		super(parentpart);

		final Panel gdatenPanel = new Panel();
		gdatenPanel.setLayoutManager(new GridLayout(2, false));
		// gdatenPanel.setFont(parentpart.getFontRegistry().defaultFont());

		gdatenPanel.add(new Label("Status:"));
		statusLabel = new Label(parentpart.getKnotenStatus().getName());

		gdatenPanel.add(statusLabel);

		addDatenFigure(gdatenPanel);
	}

	/** {@inheritDoc} */
	@Override
	public void aktualisieren() {
		statusLabel.setText(getParentpart().getKnotenStatus().getName());
		super.aktualisieren();
	}

	// @Override
	// public void repaint() {
	// // TODO Auto-generated method stub
	// super.repaint();
	// }
	//
	// @Override
	// protected void layout() {
	// // TODO Auto-generated method stub
	// super.layout();
	// }
}
