/*
 * Rahmenwerk-Plug-in "Anlagenstatus"
 * Copyright (C) 2010 BitCtrl Systems GmbH
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weissenfelser Strasse 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.buv.plugin.anlagenstatus.figures;

import de.bsvrz.buv.plugin.anlagenstatus.internal.PluginAnlagenStatus;
import de.bsvrz.buv.plugin.anlagenstatus.modell.AnlagenStatusKnoten;
import de.bsvrz.buv.plugin.anlagenstatus.parts.AnlagenStatusEditPart;

/**
 * Figure zur Anzeige der Statusinformationen.
 * 
 * @author BitCtrl Systems GmbH, Steffen Gieseler
 * @version $Id: StatusFigure.java 43864 2013-05-14 11:10:42Z hoesel $
 */
public abstract class StatusFigure extends DatenFenster {

	/**
	 * Konstruktor.
	 * 
	 * @param parentpart
	 *            Parent-Edit-Part.
	 */
	public StatusFigure(final AnlagenStatusEditPart parentpart) {
		super(parentpart);
		final AnlagenStatusKnoten model = parentpart.getKnoten();

		final String header = PluginAnlagenStatus.getDefault()
				.getResourceBundle().getString(
						"StatusinformationenFenster.label")
				+ " " + model.getSystemObjekt().getName();
		setLabel(header);

		addDatenFigure(new InfoFigure(model.getSystemObjekt()));

		getLayoutManager().layout(this);
		aktualisiereLayout();
	}

	/**
	 * Aktualisiert die Statusanzeige.
	 */
	public void aktualisieren() {
		aktualisiereLayout();
	}
}
