/*
 * Rahmenwerk-Plug-in "Anlagenstatus"
 * Copyright (C) 2010 BitCtrl Systems GmbH
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weissenfelser Strasse 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.buv.plugin.anlagenstatus.internal;

import java.util.EventListener;

/**
 * Ein Listener, der benachrichigt wird, wenn sich die Berechtigungen f&uuml;r
 * eine PluginFunktion ge&auml;ndert hat. Der Listener erm&ouml;glicht
 * beispielsweise das dynamische Anpassen der Verf&uuml;gbarkeit von
 * Schaltfl&auml;chen in der Bedienoberfl&auml;che.
 * 
 * @author BitCtrl Systems GmbH, Uwe Peuker, Steffen Gieseler
 * 
 * @version $Id: FunktionsBerechtigungsListener.java 23300 2010-05-25 16:13:37Z gieseler $
 */
public interface FunktionsBerechtigungsListener extends EventListener {

	/** die Berechtigungen f&uuml;r Plugin-Aktionen haben sich ge&auml;ndert. */
	void berechtigungsAenderung();
}
