/*
 * Rahmenwerk-Plug-in "Anlagenstatus"
 * Copyright (C) 2010 BitCtrl Systems GmbH
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weissenfelser Strasse 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.buv.plugin.anlagenstatus.parts;

import org.eclipse.draw2d.IFigure;

import de.bsvrz.buv.plugin.anlagenstatus.figures.AnlagenGeraetFigure;
import de.bsvrz.buv.plugin.anlagenstatus.figures.GeraetStatusFigure;
import de.bsvrz.buv.plugin.anlagenstatus.figures.StatusFigure;
import de.bsvrz.buv.plugin.anlagenstatus.tooltips.AnlagenStatusToolTipFigure;
import de.bsvrz.buv.rw.bitctrl.eclipse.legende.ILegendeBaustein;
import de.bsvrz.sys.funclib.bitctrl.modell.tmkextlsglobal.objekte.Geraet;

/**
 * EditPart f&uuml;r Ger&auml;te.
 * 
 * @author BitCtrl Systems GmbH, Steffen Gieseler
 * @version $Id: GeraetEditPart.java 33710 2012-04-20 11:06:38Z gieseler $
 */
public class GeraetEditPart extends AnlagenStatusEditPart implements
		ILegendeBaustein {

	/** {@inheritDoc} */
	@Override
	protected IFigure createFigure() {
		return new AnlagenGeraetFigure((Geraet) getModel().getSystemObjekt());
	}

	/** {@inheritDoc} */
	@Override
	protected void erzeugeFigureInhalt() {
		((AnlagenGeraetFigure) getFigure())
				.updateFigureContent((Geraet) getModel().getSystemObjekt());
		getFigure().setToolTip(
				AnlagenStatusToolTipFigure.getTooltipFigure(this));
	}

	/** {@inheritDoc} */
	@Override
	protected StatusFigure erzeugeStatusFigure() {
		return new GeraetStatusFigure(this);
	}
}
