/*
 * Rahmenwerk-Plug-in "Anlagenstatus"
 * Copyright (C) 2010 BitCtrl Systems GmbH
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weissenfelser Strasse 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.buv.plugin.anlagenstatus.tooltips;

import org.eclipse.draw2d.Label;

import de.bsvrz.buv.plugin.anlagenstatus.parts.AnlagenStatusEditPart;
import de.bsvrz.sys.funclib.bitctrl.modell.OnlineDatum.Status;
import de.bsvrz.sys.funclib.bitctrl.modell.tmkextlsglobal.konfigurationsdaten.KdDe.Daten;
import de.bsvrz.sys.funclib.bitctrl.modell.tmkextlsglobal.objekte.De;
import de.bsvrz.sys.funclib.bitctrl.modell.tmkextlsglobal.onlinedaten.OdTlsGloDeFehler;

/**
 * Info-Tooltip-Figur fr die Darstellung der Daten eines DE.
 * 
 * @author BitCtrl Systems GmbH, Gieseler
 * @version $Id: DeTooltip.java 25543 2010-08-13 15:46:03Z Schumann $
 */
class DeTooltip extends AnlagenStatusToolTipFigure {
	/**
	 * Konstruktor, erzeugt eine Info-Popup-Figur fr den bergebenen De.
	 * 
	 * @param de
	 *            DE
	 * @param part
	 */
	DeTooltip(final De de, final AnlagenStatusEditPart part) {
		super(de, part);

		// Bezeichnung/Name
		final Daten datum = de.getKdDe().getDatum();
		final String bez = datum.getBezeichnung();
		if (bez != null && bez.length() == 0) {
			add(new Label("Bezeichnung: "));
			add(new Label(bez));
		}

		add(new Label("Cluster:"));
		add(new Label(datum.getCluster().toString()));
		add(new Label("DE-Kanal:"));
		add(new Label(datum.getDEKanal().toString()));
		add(new Label("EA-Kanal:"));
		add(new Label(datum.getEAKanal().toString()));
		add(new Label("Umsetzungsmodul:"));
		add(new Label(datum.getUmsetzungsModul()));

		final OdTlsGloDeFehler.Daten deDaten = de.getOdTlsGloDeFehler()
				.getDatum(OdTlsGloDeFehler.Aspekte.TlsAntwort);

		if (deDaten == null) {
			add(new Label("Status:"));
			add(new Label("unbekannt"));
		} else {
			if (deDaten.dGetDatenStatus() == Status.DATEN) {
				add(new Label("Status:"));
				add(new Label(""));
				add(new Label("TLS-DE-Fehler:"));
				add(new Label(deDaten.getDEFehlerStatus().toString()));
				add(new Label("TLS-Kanalstatus:"));
				add(new Label(deDaten.getDEKanalStatus().toString()));
				add(new Label("TLS-Projektierungstatus:"));
				add(new Label(deDaten.getDEProjektierungsStatus().toString()));
				add(new Label("Hersteller:"));
				add(new Label(deDaten.getHersteller().toString()));
			} else {
				add(new Label("Status:"));
				add(new Label(deDaten.dGetDatenStatus().toString()));
				// label.setForegroundColor(ColorConstants.red);
			}
		}
	}

}
